package EIB;

import java.io.*;
import com.eiblet.bus.*;
import com.eiblet.bus.eib.*; 

public class EIBProg
{
    private EIBLowLevelGroupObjectBusCommunicator fEIBLowLevelBC = null;
    private static final String buscomname = 
	"EIB.LinuxBCU1EIBBusCommunicator";

    public EIBProg(){
	try{ // create a BusCommunicator to connect to the EIB system
	    fEIBLowLevelBC = 
		BusCommunicatorFactory.createEIBLowLevelGroupObjectBusCommunicator(buscomname);
	}
	catch(BusCommunicatorFactoryException e){
	    System.out.println(e.getMessage());
	}
	fEIBLowLevelBC.setParameters(null);
	fEIBLowLevelBC.open();
    }
    
    public EIBLowLevelGroupObjectBusCommunicator getEIBLowLevelBC()
    {
	return fEIBLowLevelBC;
    }
    
    public void setStartStopBC(boolean pStartStop)
    {
	if (pStartStop){
	    fEIBLowLevelBC.open();
	}
	else{
	    fEIBLowLevelBC.close();
	}
    }
    
    public static void main(String argv[])
    {
	EIBProg fEIBProg = new EIBProg(); 
	EIBFrame frame = new EIBFrame(fEIBProg.getEIBLowLevelBC());
	frame.show();
    }//end of main 
}
