package tutorial; 

import java.io.*;
import com.eiblet.bus.*;
import com.eiblet.bus.eib.*; 

public class EIBJoinJavaAWT 
{   
    private EIBLowLevelGroupObjectBusCommunicator fEIBLowLevelGroupObjectBusCommunicator = null;
    private static final String buscomname = 
	"EIB.LinuxBCU1EIBBusCommunicator";

	
    public EIBJoinJavaAWT(){
	try{ // create a BusCommunicator to connect to the EIB system
	    fEIBLowLevelGroupObjectBusCommunicator = 
		BusCommunicatorFactory.createEIBLowLevelGroupObjectBusCommunicator(buscomname);
	}
	catch(BusCommunicatorFactoryException b){
	    System.out.println(b.getMessage());
	}
	fEIBLowLevelGroupObjectBusCommunicator.setParameters(null);
	fEIBLowLevelGroupObjectBusCommunicator.open();
    }
    
    public EIBLowLevelGroupObjectBusCommunicator getEIBLowLevelGroupObjectBusCommunicator()
    {
	return fEIBLowLevelGroupObjectBusCommunicator;
    }
    
    public void setStartStopBusCommunicator(boolean pStartStop)
    {
	if (pStartStop){
	    fEIBLowLevelGroupObjectBusCommunicator.open();
	}
	else{
	    fEIBLowLevelGroupObjectBusCommunicator.close();
	}
    }
    
    public static void main(String argv[])
    {
	EIBJoinJavaAWT fEIBJoinJavaAWT = new EIBJoinJavaAWT(); // create a new EIBJoinJava object
	fEIBJoinJavaAWT.setStartStopBusCommunicator(true); // open the connection to the EIB system
	EIB_AWT fEIBAWT = new EIB_AWT(fEIBJoinJavaAWT.getEIBLowLevelGroupObjectBusCommunicator());
    }//end of main 
}// end of class
