package tutorial; 

import java.io.*;
import com.eiblet.*;
import com.eiblet.bus.*;
import com.eiblet.bus.eib.*; 

public class GroupObjectAWT 
{
    
    EIBGroupAddress fEIBGroupAddress = null;
    EISType fEISType = null;
    byte[] fDataByteArray = {0};
    EIBLowLevelGroupObjectBusCommunicator fEIBLowLevelGroupObjectBusCommunicator = null;
    
    public GroupObjectAWT(EIBGroupAddress pEIBGroupAddress, 
			  EISType pEISType, 
			  EIBLowLevelGroupObjectBusCommunicator pEIBLowLevelGroupObjectBusCommunicator){
	fEIBGroupAddress = pEIBGroupAddress;
	fEISType = pEISType;
	fEIBLowLevelGroupObjectBusCommunicator = pEIBLowLevelGroupObjectBusCommunicator;
    }

    public EIBGroupAddress getEIBGroupAddress(){
	return fEIBGroupAddress; 
    }
    
    public void setData(byte[] pData){
	fDataByteArray = pData;
    }
 
    public byte[] getData(){
	return fDataByteArray;
    }
 
    public void writeGroupData(byte[] pData) throws IOException, IllegalArgumentException{
	fEIBLowLevelGroupObjectBusCommunicator.writeGroupData(fEIBGroupAddress,3 ,6 ,true, pData);
    }		
}
